/* -------------------------------------------------------------------------
   Démonstration "BLINKING LEDS" sur MSP 430

   Conférence "Solutions Linux pour systèmes embarqués"
   Christophe BLAESS 2015
   ------------------------------------------------------------------------- */


#include <stdlib.h>
#include <msp430g2553.h>

int main(void)
{
	unsigned int i, j;

	WDTCTL = WDTPW + WDTHOLD; // Watchdog off.
	P1DIR |= BIT0 | BIT6;     // Leds P1.0 and 01.6 on output
	P1OUT &= ~(BIT0 | BIT6);  // Leds off.

	for (;;) {
		for (j = 0; j < 4; j ++) {
			P1OUT |= BIT0 | BIT6; // Leds on
			for (i = 0; i < 20000; i ++)
				;

			P1OUT &= ~(BIT0 | BIT6); // Leds off
			for (i = 0; i < 20000; i ++)
				;
		}
		for (i = 0; i < 40000; i++)
				;
	}
	return 0;
}

